# Supported Bank List Query

{% hint style="info" %}
This API is only used for Brazil (OpenFinance, PIXBiometria), Colombia (PSE), Chile (Khipu), and Argentina (Khipu).
{% endhint %}

{% hint style="info" %}
The bank-list result could be different for the Test environment and the Prod environment. It is recommended to check the bank-list before each transaction.
{% endhint %}

#### Request Base URL <a href="#request-base-url" id="request-base-url"></a>

```
  Test Environment : https://gateway-test.pagsmile.com
  Prod Environment : https://gateway.pagsmile.com
```

#### EndPoints <a href="#endpoints" id="endpoints"></a>

```
  /trade/bank-list
```

#### Request Header <a href="#request-header" id="request-header"></a>

| Parameter     | Required  | Description                         |
| ------------- | --------- | ----------------------------------- |
| Content-Type  | recommend | application/json                    |
| Authorization | yes       | Basic Base64(app\_id:security\_key) |

#### Request Body (JSON format) <a href="#request-body-json-format" id="request-body-json-format"></a>

<table><thead><tr><th width="114">Parameter</th><th width="92">Type</th><th width="113.3333740234375">Required</th><th width="136.6666259765625">Max Length(or Default Value)</th><th>Description</th></tr></thead><tbody><tr><td>app_id</td><td>string</td><td>yes</td><td>32</td><td>created app's id at dashboard</td></tr><tr><td>timestamp</td><td>string</td><td>yes</td><td>19</td><td>yyyy-MM-dd HH:mm:ss</td></tr><tr><td>method</td><td>string</td><td>yes</td><td>32</td><td>Supported Method（OpenFinance, PIXBiometria, Khipu, or PSE）</td></tr></tbody></table>

#### Request Sample <a href="#request-sample" id="request-sample"></a>

```
curl --location --request POST 'https://gateway.pagsmile.com/trade/bank-list' \
--header 'Authorization: Basic Base64(appid:secret_key)' \
--header 'Content-Type: application/json' \
--data-raw '{
    "app_id": "app_id",
    "timestamp": "{{datetime}}",
    "method": "{{method}}"
}'
```

#### Http Response (JSON format) <a href="#http-response-json-format" id="http-response-json-format"></a>

| Parameter       | Type   | Description                                  |
| --------------- | ------ | -------------------------------------------- |
| code            | string | return code                                  |
| msg             | string | return message                               |
| data.bank\_id   | string | bank id: used for parameter "bank"           |
| data.bank\_name | string | bank name                                    |
| min\_amount     | string | min amount for this bank. **Only for Khipu** |
| data.detail     | string |                                              |

#### Return Code (Success) <a href="#return-code-success" id="return-code-success"></a>

```
{
    "code": "10000",
    "msg": "Success",
    "data": [
        {
            "bank_id": "",
            "bank_name": "",
            "min_amount": "",
            "detail": ""
        },
        ......
    ]
}
```

#### Return Code (Fail) <a href="#return-code-fail" id="return-code-fail"></a>

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payin/tools/supported-bank-list-query.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
